Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(42)

Issue 2247003003: Revert HTTP/0.9 removal (https://codereview.chromium.org/2144803002/) (Closed)

Created:
3 years ago by mmenke
Modified:
3 years ago
Reviewers:
Adam Rice, eroman, jwd
CC:
chromium-reviews, blink-reviews, cbentzel+watch_chromium.org, asvitkine+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Revert HTTP/0.9 removal This broke compatibility with the Tenda D301 router, which is using HTTP/0.9 (Presumably because of a bug in the router's firmare). We're going to go with a less aggressive deprecation instead, at least for now - we'll just support HTTP/0.9 on default ports only. I'll try to be more aggressive in future Chrome releases (No HTTP/0.9 over SSL, for instance). Reverted CL description: Remove HTTP/0.9 support from HttpStreamParser. HTTP/0.9 is an ancient protocol with some fundamental design problems. This CL remove support for it, while leaving most of the code needed to support HTTP/0.9 in place, in case this has to be reverted late in the game, or we decide to add a (temporary) enterprise policy to enable it. BUG=624462 Committed: https://crrev.com/e2172e4b83ad33aef354618ce2e092db85baee1d Cr-Commit-Position: refs/heads/master@{#405687} TBR=eroman@chromium.org, ricea@chromium.org, jwd@chromium.org BUG=637017 Committed: https://crrev.com/a2dcd3bf444490b1eaf7aaafaa740310dc846137 Cr-Commit-Position: refs/heads/master@{#412348}

Patch Set 1 #

Total comments: 1

Patch Set 2 : Add back new error code #

Messages

Total messages: 25 (14 generated)
mmenke
Just a straight of the original CL, so TBRing.
3 years ago (2016-08-15 20:38:13 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2247003003/1
3 years ago (2016-08-15 20:39:24 UTC) #5
eroman
https://codereview.chromium.org/2247003003/diff/1/tools/metrics/histograms/histograms.xml File tools/metrics/histograms/histograms.xml (right): https://codereview.chromium.org/2247003003/diff/1/tools/metrics/histograms/histograms.xml#newcode85647 tools/metrics/histograms/histograms.xml:85647: + <int value="214" label="CERT_END"/> not LGTM for the histograms.xml ...
3 years ago (2016-08-15 21:40:05 UTC) #9
mmenke
On 2016/08/15 21:40:05, eroman wrote: > https://codereview.chromium.org/2247003003/diff/1/tools/metrics/histograms/histograms.xml > File tools/metrics/histograms/histograms.xml (right): > > https://codereview.chromium.org/2247003003/diff/1/tools/metrics/histograms/histograms.xml#newcode85647 > ...
3 years ago (2016-08-15 21:40:56 UTC) #11
mmenke
On 2016/08/15 21:40:56, mmenke wrote: > On 2016/08/15 21:40:05, eroman wrote: > > > https://codereview.chromium.org/2247003003/diff/1/tools/metrics/histograms/histograms.xml ...
3 years ago (2016-08-15 21:41:50 UTC) #12
mmenke
On 2016/08/15 21:40:05, eroman wrote: > https://codereview.chromium.org/2247003003/diff/1/tools/metrics/histograms/histograms.xml > File tools/metrics/histograms/histograms.xml (right): > > https://codereview.chromium.org/2247003003/diff/1/tools/metrics/histograms/histograms.xml#newcode85647 > ...
3 years ago (2016-08-16 16:29:01 UTC) #15
eroman
lgtm
3 years ago (2016-08-16 19:12:48 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2247003003/20001
3 years ago (2016-08-16 19:14:08 UTC) #20
commit-bot: I haz the power
Committed patchset #2 (id:20001)
3 years ago (2016-08-16 21:50:04 UTC) #22
commit-bot: I haz the power
Patchset 2 (id:??) landed as https://crrev.com/a2dcd3bf444490b1eaf7aaafaa740310dc846137 Cr-Commit-Position: refs/heads/master@{#412348}
3 years ago (2016-08-16 21:52:49 UTC) #24
Adam Rice
3 years ago (2016-08-17 02:21:51 UTC) #25
Message was sent while issue was closed.
lgtm

Powered by Google App Engine
This is Rietveld 408576698